#!/bin/sh
#
ME=$(readlink -f "$0")
MEDIR=${ME%/*}

EXT=libgd

. $MEDIR/phase-default-init.sh

DEPS="automake libtool-dev perl5 libpng-dev fontconfig-dev
 libvpx-dev libwebp-nox libwebp-nox-dev"

test "$KBITS" = "64" && DEPS="$DEPS tiff-dev" || DEPS="$DEPS libtiff-dev"

. $MEDIR/phase-default-deps.sh
. $MEDIR/phase-default-cc-opts.sh

./configure \
	--without-x \
	--without-xpm \
	|| exit

. $MEDIR/phase-default-make.sh
. $MEDIR/phase-make-install-dev.sh

mkdir -p $TCZ/usr/local/lib
mv $TCZ-dev/usr/local/lib/*.so* $TCZ/usr/local/lib
mv $TCZ-dev/usr/local/bin $TCZ/usr/local
mkdir -p $TCZ-dev/usr/local/bin
mv $TCZ/usr/local/bin/gdlib-config $TCZ-dev/usr/local/bin

. $MEDIR/phase-default-strip.sh
. $MEDIR/phase-default-set-perms.sh
. $MEDIR/phase-default-squash-tcz.sh

